Subject: bug#40978: bug#47039: 27.1; find-image ignores image-scaling-factor

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 20 Jun 2022 11:38:57 +0200

Lars Ingebrigtsen <[email-masked]> writes:

>> IMHO, auto-scaling is particularly useful with graphics elements like
>> tool bars, tab bars, and widgets ;-)
>
> Yeah, that's true.  I think.

I was finally reminded that I should try David's patch after looking at
a --with-x-toolkit=lucid build where all the toolbar icons were
minuscule on this 4K 14" laptop screen.

And it does indeed fix these issues, as well as the tiny "Gnu" logo in
the Gnus Group mode line, etc.

So I've now pushed it to Emacs 29.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no